## gnome-shell-extensions 3.22.2

=== debian/changelog ===
gnome-shell-extensions (3.22.2-1ubuntu1) zesty; urgency=medium

  * Add adapt-to-gsd324.patch:
    Backport 3.23 commit to adapt to gnome-settings-daemon 3.24 split helpers
  * Explicitly depend on gnome-settings-daemon >= 3.23.3 for that change

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 07 Feb 2017 15:09:53 -0500

gnome-shell-extensions (3.22.2-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Thu, 10 Nov 2016 19:36:44 +0100

=== debian/rules ===
#!/usr/bin/make -f
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

EXTENSIONS_ENABLED="alternate-tab apps-menu auto-move-windows \
 drive-menu launch-new-instance native-window-placement places-menu \
 screenshot-window-sizer user-theme window-list windowsNavigator \
 workspace-indicator"

EXTENSIONS_DISABLED="example"

%:
	dh $@ --with gnome

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-extensions=$(EXTENSIONS_ENABLED) \
		--enable-classic-mode

## gnome-shell-extensions 3.23.90

=== debian/changelog ===
gnome-shell-extensions (3.23.90-0ubuntu2) zesty; urgency=medium

  * Depend on gir1.2-mutter-0 instead of gir1.2-mutter-3.0

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 20 Feb 2017 07:14:07 -0500

gnome-shell-extensions (3.23.90-0ubuntu1) zesty; urgency=medium

  * New upstream release
  * Drop adapt-to-gsd324.patch, applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 16 Feb 2017 08:51:29 -0500

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-shell-extensions
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Henriksson <andreas@fatal.se>, Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
Build-Depends: debhelper (>= 10),
               pkg-config (>= 0.22),
               gettext,
               gnome-pkg-tools,
               libgnome-desktop-3-dev (>= 3.2.0),
Standards-Version: 3.9.8
Homepage: https://wiki.gnome.org/Projects/GnomeShell/Extensions
Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gnome-shell-extensions
Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-shell-extensions

Package: gnome-shell-extensions
Architecture: all
Depends: ${misc:Depends},
         gnome-shell (>= ${gnome:Version}),
         gnome-shell (<< ${gnome:NextVersion}),
         gir1.2-atk-1.0,
         gir1.2-clutter-1.0,
         gir1.2-gdkpixbuf-2.0,
         gir1.2-glib-2.0,
         gir1.2-gmenu-3.0,
         gir1.2-gtk-3.0,
         gir1.2-mutter-0,
         gir1.2-pango-1.0,
         gvfs (>= 1.16.0),
         gnome-session (>= 3.8),
         gnome-settings-daemon (>= 3.23.3),
Recommends: gnome-tweak-tool (>= ${gnome:Version})
Replaces: gnome-shell-common (<< 3.18)
Breaks: gnome-shell-common (<< 3.18)
Description: Extensions to extend functionality of GNOME Shell
 The GNOME Shell redefines user interactions with the GNOME desktop. In
 particular, it offers new paradigms for launching applications,
 accessing documents, and organizing open windows in GNOME. Later, it
 will introduce a new applets eco-system and offer new solutions for
 other desktop features, such as notifications and contacts management.
 The GNOME Shell is intended to replace functions handled by the GNOME
 Panel and by the window manager in previous versions of GNOME. The GNOME
 Shell has rich visual effects enabled by new graphical technologies.
 .
 GNOME Shell is extensible using extensions. This package contains
 official GNOME Shell extensions.

## gnome-shell-extensions 3.23.91

=== debian/changelog ===
gnome-shell-extensions (3.23.91-0ubuntu1) zesty; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 10 Mar 2017 00:20:57 -0500

## gnome-shell-extensions 3.23.92

=== debian/changelog ===
gnome-shell-extensions (3.23.92-0ubuntu1) zesty; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 14 Mar 2017 16:32:52 -0400

## gnome-shell-extensions 3.24.0

=== debian/changelog ===
gnome-shell-extensions (3.24.0-0ubuntu1) zesty; urgency=medium

  * New upstream translations release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 20 Mar 2017 20:11:48 -0400

## gnome-shell-extensions 3.24.1

=== debian/changelog ===
gnome-shell-extensions (3.24.1-0ubuntu1) artful; urgency=medium

  * New upstream release (LP: #1685348)
  * Add git_touch-desktop-files.patch, git_trust-desktop-files.patch:
    - Backport 3.24.2 patches to fix Application Menu's new
      drag-and-drop launcher to Desktop feature.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 21 Apr 2017 15:41:35 -0400

## gnome-shell-extensions 3.24.2

=== debian/changelog ===
gnome-shell-extensions (3.24.2-0ubuntu3) artful; urgency=medium

  * Add adapt-to-gsd325.patch:
    - Backport patch to drop plugins from gnome-session file that were
      removed in gnome-settings-daemon 3.25.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 26 Aug 2017 16:32:15 -0400

gnome-shell-extensions (3.24.2-0ubuntu2) artful; urgency=medium

  * Depend on gnome-session-bin instead of gnome-session (LP: #1702832)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 28 Jul 2017 15:46:14 -0400

gnome-shell-extensions (3.24.2-0ubuntu1) artful; urgency=medium

  * New upstream release
  * Drop patches applied in new release:
    - git_touch-desktop-files.patch
    - git_trust-desktop-files.patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 11 May 2017 12:50:56 -0400

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
+Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
 Build-Depends: debhelper (>= 10),
                pkg-config (>= 0.22),
                gettext,
@@ -32,7 +32,7 @@
          gir1.2-mutter-0,
          gir1.2-pango-1.0,
          gvfs (>= 1.16.0),
-         gnome-session (>= 3.8),
+         gnome-session-bin (>= 3.8),
          gnome-settings-daemon (>= 3.23.3),
 Recommends: gnome-tweak-tool (>= ${gnome:Version})
 Replaces: gnome-shell-common (<< 3.18)

## gnome-shell-extensions 3.25.91

=== debian/changelog ===
gnome-shell-extensions (3.25.91-0ubuntu2) artful; urgency=medium

  * mutter's gir package is gir1.2-mutter-1 now

 -- Iain Lane <iain@orangesquash.org.uk>  Thu, 31 Aug 2017 10:16:03 +0100

gnome-shell-extensions (3.25.91-0ubuntu1) artful; urgency=medium

  * New upstream release
  * Drop adapt-to-gsd325.patch: Applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 30 Aug 2017 22:44:58 -0400

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 10),
                pkg-config (>= 0.22),
                gettext,
@@ -29,7 +29,7 @@
          gir1.2-glib-2.0,
          gir1.2-gmenu-3.0,
          gir1.2-gtk-3.0,
-         gir1.2-mutter-0,
+         gir1.2-mutter-1,
          gir1.2-pango-1.0,
          gvfs (>= 1.16.0),
          gnome-session-bin (>= 3.8),

## gnome-shell-extensions 3.26.0

=== debian/changelog ===
gnome-shell-extensions (3.26.0-1) experimental; urgency=medium

  * Team upload
  * New upstream stable release

 -- Simon McVittie <smcv@debian.org>  Wed, 13 Sep 2017 11:33:19 +0100

gnome-shell-extensions (3.25.91-1) experimental; urgency=medium

  * Team upload
  * New upstream release, for GNOME Shell 3.25.91
    - d/p/adapt-to-gsd324.patch: Drop, applied upstream
    - Switch dependency to gir1.2-mutter-1

 -- Simon McVittie <smcv@debian.org>  Tue, 05 Sep 2017 16:43:01 +0100

gnome-shell-extensions (3.22.2-2) unstable; urgency=medium

  * Add adapt-to-gsd324.patch (Closes: #869948):
    - Adjust gnome-session file for gnome-settings-daemon 3.24
  * debian/control.in:
    - Bump Standards-Version to 4.0.0
    - Explicitly depend on gnome-settings-daemon >= 3.24
    - Drop version from gnome-tweak-tool recommends
    - Depend on gnome-session-bin instead of gnome-session (LP: #1702832)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 06 Aug 2017 17:38:06 -0400

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,14 @@
 Source: gnome-shell-extensions
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Andreas Henriksson <andreas@fatal.se>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 10),
                pkg-config (>= 0.22),
                gettext,
                gnome-pkg-tools,
                libgnome-desktop-3-dev (>= 3.2.0),
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: https://wiki.gnome.org/Projects/GnomeShell/Extensions
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gnome-shell-extensions
 Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-shell-extensions
@@ -33,8 +32,8 @@
          gir1.2-pango-1.0,
          gvfs (>= 1.16.0),
          gnome-session-bin (>= 3.8),
-         gnome-settings-daemon (>= 3.23.3),
-Recommends: gnome-tweak-tool (>= ${gnome:Version})
+         gnome-settings-daemon (>= 3.24)
+Recommends: gnome-tweak-tool
 Replaces: gnome-shell-common (<< 3.18)
 Breaks: gnome-shell-common (<< 3.18)
 Description: Extensions to extend functionality of GNOME Shell

## gnome-shell-extensions 3.26.1

=== debian/changelog ===
gnome-shell-extensions (3.26.1-1) experimental; urgency=medium

  * Team upload
  * New upstream stable release

 -- Simon McVittie <smcv@debian.org>  Fri, 06 Oct 2017 11:01:11 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Michael Biebl <biebl@debian.org>
+Uploaders: Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 10),
                pkg-config (>= 0.22),
                gettext,

## gnome-shell-extensions 3.26.2

=== debian/changelog ===
gnome-shell-extensions (3.26.2-3) unstable; urgency=medium

  * Team upload

  [ Jeremy Bicha ]
  * Update Vcs fields for migration to https://salsa.debian.org/

  [ Simon McVittie ]
  * d/patches: Re-export with gbp pq export
  * d/p/places-menu-Don-t-force-dispose-of-uninitialized-proxies.patch:
    Take patch from upstream to avoid frequent tracebacks from the Places
    menu with gjs >= 1.50.2-3 (Closes: #888608)

 -- Simon McVittie <smcv@debian.org>  Tue, 30 Jan 2018 09:15:54 +0000

gnome-shell-extensions (3.26.2-2) unstable; urgency=medium

  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 15 Dec 2017 15:19:14 -0500

gnome-shell-extensions (3.26.2-1) unstable; urgency=medium

  * New upstream release

 -- Michael Biebl <biebl@debian.org>  Sun, 05 Nov 2017 20:17:03 +0100

gnome-shell-extensions (3.26.1-2) unstable; urgency=medium

  * Release to unstable
  * Bump Standards-Version to 4.1.1

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 13 Oct 2017 16:49:30 -0400

=== debian/control ===
--- 
+++ 
@@ -6,16 +6,16 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Michael Biebl <biebl@debian.org>
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 10),
                pkg-config (>= 0.22),
                gettext,
                gnome-pkg-tools,
                libgnome-desktop-3-dev (>= 3.2.0),
-Standards-Version: 4.0.0
+Standards-Version: 4.1.2
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell-extensions
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell-extensions.git
 Homepage: https://wiki.gnome.org/Projects/GnomeShell/Extensions
-Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gnome-shell-extensions
-Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-shell-extensions
 
 Package: gnome-shell-extensions
 Architecture: all

## gnome-shell-extensions 3.27.91

=== debian/changelog ===
gnome-shell-extensions (3.27.91-1) experimental; urgency=medium

  * New upstream development release
  * Build with meson
  * Build-Depend on sassc
  * Bump debhelper compat to 11
  * Drop places-menu-Don-t-force-dispose-of-uninitialized-proxies.patch &
    dont-require-nautilus-classic.patch: Applied in new release

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 23 Feb 2018 19:49:59 -0500

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,10 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 10),
-               pkg-config (>= 0.22),
-               gettext,
+Build-Depends: debhelper (>= 11.1.3),
                gnome-pkg-tools,
-               libgnome-desktop-3-dev (>= 3.2.0),
+               meson (>= 0.44.0),
+               sassc
 Standards-Version: 4.1.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell-extensions
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell-extensions.git

=== debian/rules ===
#!/usr/bin/make -f
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

EXTENSIONS_ENABLED="[alternate-tab, apps-menu, places-menu, \
 launch-new-instance, window-list, \
 drive-menu, screenshot-window-sizer, \
 windowsNavigator, workspace-indicator, \
 auto-move-windows, native-window-placement, user-theme]"

EXTENSIONS_DISABLED="example"

%:
	dh $@ --with gnome

override_dh_auto_configure:
	dh_auto_configure -- \
		-Denable-extensions=$(EXTENSIONS_ENABLED) \
		-Dclassic_mode=true

## gnome-shell-extensions 3.27.92

=== debian/changelog ===
gnome-shell-extensions (3.27.92-1) experimental; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release candidate
  * Drop explicit dependency on mutter's gir. gnome-shell-extensions depends
    on gnome-shell which depends on the gir. Dropping it will make transitions
    easier.

  [ Simon McVittie ]
  * Recommend gnome-tweaks instead of transitional gnome-tweak-tool

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 05 Mar 2018 21:02:01 -0500

=== debian/control ===
--- 
+++ 
@@ -27,12 +27,11 @@
          gir1.2-glib-2.0,
          gir1.2-gmenu-3.0,
          gir1.2-gtk-3.0,
-         gir1.2-mutter-1,
          gir1.2-pango-1.0,
          gvfs (>= 1.16.0),
          gnome-session-bin (>= 3.8),
          gnome-settings-daemon (>= 3.24)
-Recommends: gnome-tweak-tool
+Recommends: gnome-tweaks
 Replaces: gnome-shell-common (<< 3.18)
 Breaks: gnome-shell-common (<< 3.18)
 Description: Extensions to extend functionality of GNOME Shell

## gnome-shell-extensions 3.28.0

=== debian/changelog ===
gnome-shell-extensions (3.28.0-2) unstable; urgency=medium

  * Fix typo in configure flag that resulted in missing
    auto-move-windows, native-window-placement, & user-theme extensions

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 19 Mar 2018 18:20:53 -0400

gnome-shell-extensions (3.28.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 18 Mar 2018 20:17:17 -0400

gnome-shell-extensions (3.27.92-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 10 Mar 2018 19:37:45 -0500

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # This file is autogenerated. DO NOT EDIT!
-# 
+#
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
 Source: gnome-shell-extensions

=== debian/rules ===
#!/usr/bin/make -f
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

EXTENSIONS_ENABLED='alternate-tab, apps-menu, places-menu, \
 launch-new-instance, window-list, \
 drive-menu, screenshot-window-sizer, \
 windowsNavigator, workspace-indicator, \
 auto-move-windows, native-window-placement, user-theme'

EXTENSIONS_DISABLED='example'

%:
	dh $@ --with gnome

override_dh_auto_configure:
	dh_auto_configure -- \
		-Denable_extensions=$(EXTENSIONS_ENABLED) \
		-Dclassic_mode=true

## gnome-shell-extensions 3.28.1

=== debian/changelog ===
gnome-shell-extensions (3.28.1-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.1.4

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 14 May 2018 21:51:46 -0400

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                gnome-pkg-tools,
                meson (>= 0.44.0),
                sassc
-Standards-Version: 4.1.2
+Standards-Version: 4.1.4
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell-extensions
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell-extensions.git
 Homepage: https://wiki.gnome.org/Projects/GnomeShell/Extensions

## gnome-shell-extensions 3.29.3+really3.28.1

=== debian/changelog ===
gnome-shell-extensions (3.29.3+really3.28.1-1) unstable; urgency=medium

  * Team upload
  * Revert unintended upload of 3.29.3 to unstable
  * d/gbp.conf: Use debian/unstable and upstream/3.28.x branches
  * Bump Standards-Version to 4.1.5
  * Set Rules-Requires-Root to no
  * Hard-code compatible Shell versions for this branch since
    ${gnome:Version} doesn't understand the +really workaround

 -- Simon McVittie <smcv@debian.org>  Fri, 27 Jul 2018 23:47:37 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,8 @@
                gnome-pkg-tools,
                meson (>= 0.44.0),
                sassc
-Standards-Version: 4.1.4
+Rules-Requires-Root: no
+Standards-Version: 4.1.5
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell-extensions
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell-extensions.git
 Homepage: https://wiki.gnome.org/Projects/GnomeShell/Extensions
@@ -19,8 +20,8 @@
 Package: gnome-shell-extensions
 Architecture: all
 Depends: ${misc:Depends},
-         gnome-shell (>= ${gnome:Version}),
-         gnome-shell (<< ${gnome:NextVersion}),
+         gnome-shell (>= 3.28),
+         gnome-shell (<< 3.29),
          gir1.2-atk-1.0,
          gir1.2-clutter-1.0,
          gir1.2-gdkpixbuf-2.0,

## gnome-shell-extensions 3.29.90

=== debian/changelog ===
gnome-shell-extensions (3.29.90-1) experimental; urgency=medium

  * Team upload
  * New upstream development release

 -- Simon McVittie <smcv@debian.org>  Thu, 02 Aug 2018 10:46:44 +0100

gnome-shell-extensions (3.29.3+really3.29.3-1) experimental; urgency=medium

  * Team upload
  * d/watch: Watch for development versions
  * Re-upload to experimental with a higher version than
    3.29.3+really3.28.1-1, which reverted the incorrect upload of the
    previous version to unstable

 -- Simon McVittie <smcv@debian.org>  Fri, 27 Jul 2018 23:56:10 +0100

gnome-shell-extensions (3.29.3-1) unstable; urgency=medium

  * Team upload

  [ Arnaud Rebillout ]
  * New upstream release

  [ Simon McVittie ]
  * Bump Standards-Version to 4.1.5
  * Set Rules-Requires-Root to no

 -- Simon McVittie <smcv@debian.org>  Fri, 27 Jul 2018 09:37:34 +0100

=== debian/control ===
--- 
+++ 
@@ -20,8 +20,8 @@
 Package: gnome-shell-extensions
 Architecture: all
 Depends: ${misc:Depends},
-         gnome-shell (>= 3.28),
-         gnome-shell (<< 3.29),
+         gnome-shell (>= ${gnome:Version}),
+         gnome-shell (<< ${gnome:NextVersion}),
          gir1.2-atk-1.0,
          gir1.2-clutter-1.0,
          gir1.2-gdkpixbuf-2.0,

## gnome-shell-extensions 3.29.91

=== debian/changelog ===
gnome-shell-extensions (3.29.91-1) experimental; urgency=medium

  * Team upload
  * New upstream development release
  * Bump Standards-Version to 4.2.0
  * Sort dependency lists (wrap-and-sort -a)
  * d/copyright: Remove unnecessary sentence fragment
  * d/p/series: Remove commented-out line

 -- Simon McVittie <smcv@debian.org>  Mon, 20 Aug 2018 20:27:57 +0100

=== debian/control ===
--- 
+++ 
@@ -12,26 +12,26 @@
                meson (>= 0.44.0),
                sassc
 Rules-Requires-Root: no
-Standards-Version: 4.1.5
+Standards-Version: 4.2.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell-extensions
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell-extensions.git
 Homepage: https://wiki.gnome.org/Projects/GnomeShell/Extensions
 
 Package: gnome-shell-extensions
 Architecture: all
-Depends: ${misc:Depends},
-         gnome-shell (>= ${gnome:Version}),
-         gnome-shell (<< ${gnome:NextVersion}),
-         gir1.2-atk-1.0,
+Depends: gir1.2-atk-1.0,
          gir1.2-clutter-1.0,
          gir1.2-gdkpixbuf-2.0,
          gir1.2-glib-2.0,
          gir1.2-gmenu-3.0,
          gir1.2-gtk-3.0,
          gir1.2-pango-1.0,
+         gnome-session-bin (>= 3.8),
+         gnome-settings-daemon (>= 3.24),
+         gnome-shell (<< ${gnome:NextVersion}),
+         gnome-shell (>= ${gnome:Version}),
          gvfs (>= 1.16.0),
-         gnome-session-bin (>= 3.8),
-         gnome-settings-daemon (>= 3.24)
+         ${misc:Depends}
 Recommends: gnome-tweaks
 Replaces: gnome-shell-common (<< 3.18)
 Breaks: gnome-shell-common (<< 3.18)

## gnome-shell-extensions 3.30.0

=== debian/changelog ===
gnome-shell-extensions (3.30.0-1) unstable; urgency=medium

  * New upstream release
  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 05 Sep 2018 12:34:40 -0400

## gnome-shell-extensions 3.30.1

=== debian/changelog ===
gnome-shell-extensions (3.30.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump Standards-Version to 4.2.1
  * d/p/gnome-session-classic-wrapper-script.patch:
    Re-word to avoid a Lintian warning

 -- Simon McVittie <smcv@debian.org>  Fri, 02 Nov 2018 09:26:47 +0000

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                meson (>= 0.44.0),
                sassc
 Rules-Requires-Root: no
-Standards-Version: 4.2.0
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell-extensions
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell-extensions.git
 Homepage: https://wiki.gnome.org/Projects/GnomeShell/Extensions

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,4 @@
 #!/usr/bin/make -f
--include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
 
 EXTENSIONS_ENABLED='alternate-tab, apps-menu, places-menu, \
  launch-new-instance, window-list, \

## gnome-shell-extensions 3.31.90

=== debian/changelog ===
gnome-shell-extensions (3.31.90-1) experimental; urgency=medium

  * New upstream release
    + Misc. bug fixes and cleanups
    + Remove obsolete alternate-tab extension
    + Adjust to gnome-shell changes
  * debian/watch: Watch for unstable releases
  * rules: alternate-tab is dropped; stop trying to enable it

 -- Iain Lane <laney@debian.org>  Thu, 21 Feb 2019 10:33:12 +0000

## gnome-shell-extensions 3.32.0

=== debian/changelog ===
gnome-shell-extensions (3.32.0-1) experimental; urgency=medium

  * New upstream release

 -- Iain Lane <laney@debian.org>  Tue, 12 Mar 2019 16:34:14 +0000

gnome-shell-extensions (3.31.92-1) experimental; urgency=medium

  * New upstream release

 -- Iain Lane <laney@debian.org>  Wed, 06 Mar 2019 15:40:48 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>
 Build-Depends: debhelper (>= 11.1.3),
                gnome-pkg-tools,
                meson (>= 0.44.0),

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-EXTENSIONS_ENABLED='alternate-tab, apps-menu, places-menu, \
+EXTENSIONS_ENABLED='apps-menu, places-menu, \
  launch-new-instance, window-list, \
  drive-menu, screenshot-window-sizer, \
  windowsNavigator, workspace-indicator, \

## gnome-shell-extensions 3.33.90

=== debian/changelog ===
gnome-shell-extensions (3.33.90-1) experimental; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * New upstream release
    + window-list: Support showing windows from all workspaces
    + Make GNOME Classic more classic:
      - Disable GNOME 3 overview
      - Add window picker button to window list
      - Style improvements and fixes
      - Support horizontal workspace layout in window list
      - Add draggable previews to window list workspace switcher
      - Arrange workspaces horizontally
    + workspace-indicator: Support horizontal workspace layout
    + workspace-indicator: Add draggable previews
    + Fix windowsNavigator extension after ES6 port
    + screenshot-window-sizer: Add phone screenshot sizes

  [ Iain Lane ]
  * rules: Build all extensions via the upstream build system. We don't need
    to hardcode the list to build, as the build system provides a way to build
    'all' extensions.
  * rules: Build with --fail-missing
  * compat, control, rules: Move to compat 12 and specifying via build-deps

 -- Iain Lane <laney@debian.org>  Tue, 13 Aug 2019 11:59:22 +0100

## gnome-shell-extensions 3.33.92

=== debian/changelog ===
gnome-shell-extensions (3.33.92-1) experimental; urgency=medium

  * New upstream bugfix / translation releases

 -- Iain Lane <laney@debian.org>  Thu, 05 Sep 2019 18:22:14 +0100

## gnome-shell-extensions 3.34.0

=== debian/changelog ===
gnome-shell-extensions (3.34.0-1) experimental; urgency=medium

  * New upstream translation release

 -- Iain Lane <laney@debian.org>  Tue, 10 Sep 2019 10:59:31 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,8 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>
-Build-Depends: debhelper (>= 11.1.3),
+Build-Depends: debhelper-compat (= 12),
+               dh-sequence-gnome,
                gnome-pkg-tools,
                meson (>= 0.44.0),
                sassc

## gnome-shell-extensions 3.34.1

=== debian/changelog ===
gnome-shell-extensions (3.34.1-2) unstable; urgency=high

  * New upstream release
    - Fix GNOME Classic session's compatibility with gnome-setting-daemon 3.34

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 08 Oct 2019 22:49:14 -0400

gnome-shell-extensions (3.34.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 30 Sep 2019 17:27:38 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,6 @@
 Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>
 Build-Depends: debhelper-compat (= 12),
                dh-sequence-gnome,
-               gnome-pkg-tools,
                meson (>= 0.44.0),
                sassc
 Rules-Requires-Root: no

## gnome-shell-extensions 3.34.2

=== debian/changelog ===
gnome-shell-extensions (3.34.2-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Bump Standards-Version to 4.4.1 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Mon, 30 Dec 2019 00:51:13 +0100

## gnome-shell-extensions 3.35.91

=== debian/changelog ===
gnome-shell-extensions (3.35.91-1) experimental; urgency=medium

  * New upstream release
    - Fixes and adjustments to latest gnome-shell

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 24 Feb 2020 18:29:29 +0000

## gnome-shell-extensions 3.36.0

=== debian/changelog ===
gnome-shell-extensions (3.36.0-1) experimental; urgency=medium

  * New upstream translation release

 -- Iain Lane <laney@debian.org>  Mon, 16 Mar 2020 12:39:02 +0000

## gnome-shell-extensions 3.36.1

=== debian/changelog ===
gnome-shell-extensions (3.36.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Update Ukrainian translation
    - Update Gnome Shell CSS
  * Upload to unstable (part of transition: #954422)

 -- Simon McVittie <smcv@debian.org>  Fri, 10 Apr 2020 15:12:29 +0100

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,13 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper-compat (= 12),
                dh-sequence-gnome,
                meson (>= 0.44.0),
                sassc
 Rules-Requires-Root: no
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell-extensions
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell-extensions.git
 Homepage: https://wiki.gnome.org/Projects/GnomeShell/Extensions

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dextension_set=all \
		-Dclassic_mode=true

## gnome-shell-extensions 3.36.2

=== debian/changelog ===
gnome-shell-extensions (3.36.2-1) unstable; urgency=medium

  * New upstream release

 -- Laurent Bigonville <bigon@debian.org>  Sun, 03 May 2020 10:02:18 +0200

## gnome-shell-extensions 3.37.91

=== debian/changelog ===
gnome-shell-extensions (3.37.91-1~fakesync) groovy; urgency=medium

  * Upload from git while the debian package waits for the mutter NEW

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 27 Aug 2020 18:59:24 +0200

gnome-shell-extensions (3.37.91-1) experimental; urgency=medium

  * New upstream release:
    - drive-menu: Emphasize eject buttons
    - user-theme: Add preference dialog
    - window-list:
      + Fix inconsistent state in preference dialog
      + auto-move: Modernize preference dialogs
    - workspace-indicator: Overhaul preference dialog
    - user-theme: Support session mode styles
    - Adjust to gnome-shell changes
  * debian/patches: Refresh
  * debian/control: B-D on debhelper 13
  * debian/rules: Don't override dh_missing equal default behavior
  * debian/control: Remove useless dependency on clutter gir

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 27 Aug 2020 17:39:42 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-gnome,
                meson (>= 0.44.0),
                sassc
@@ -20,7 +20,6 @@
 Package: gnome-shell-extensions
 Architecture: all
 Depends: gir1.2-atk-1.0,
-         gir1.2-clutter-1.0,
          gir1.2-gdkpixbuf-2.0,
          gir1.2-glib-2.0,
          gir1.2-gmenu-3.0,

## gnome-shell-extensions 3.38.0

=== debian/changelog ===
gnome-shell-extensions (3.38.0-1~fakesync) groovy; urgency=medium

  * Fake sync to get to Ubuntu faster. This is in the way of the GNOME Shell
    3.38 migration.

 -- Iain Lane <iain.lane@canonical.com>  Tue, 22 Sep 2020 12:39:59 +0100

gnome-shell-extensions (3.38.0-1) experimental; urgency=medium

  * Team upload
  * New upstream release
    - Translation updates
  * d/upstream/metadata: Add
  * Update standards version to 4.5.0, no changes needed
  * Fix gnome-classic regression in 3.37.91-1.
    gnome-session no longer takes the `--session gnome-classic` argument
    when running in classic mode.

 -- Simon McVittie <smcv@debian.org>  Tue, 22 Sep 2020 11:49:24 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                meson (>= 0.44.0),
                sassc
 Rules-Requires-Root: no
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell-extensions
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell-extensions.git
 Homepage: https://wiki.gnome.org/Projects/GnomeShell/Extensions

## gnome-shell-extensions 3.38.1

=== debian/changelog ===
gnome-shell-extensions (3.38.1-1) unstable; urgency=medium

  * New upstream release
  * Recommend gnome-shell-extension-prefs instead of gnome-tweaks

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 06 Oct 2020 17:44:30 -0400

gnome-shell-extensions (3.38.0-2) unstable; urgency=medium

  * Team upload
  * Revert "debian/watch: Watch for unstable releases"
  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Fri, 25 Sep 2020 23:00:58 +0100

=== debian/control ===
--- 
+++ 
@@ -31,7 +31,7 @@
          gnome-shell (>= ${gnome:Version}),
          gvfs (>= 1.16.0),
          ${misc:Depends}
-Recommends: gnome-tweaks
+Recommends: gnome-shell-extension-prefs
 Replaces: gnome-shell-common (<< 3.18)
 Breaks: gnome-shell-common (<< 3.18)
 Description: Extensions to extend functionality of GNOME Shell

## gnome-shell-extensions 3.38.2

=== debian/changelog ===
gnome-shell-extensions (3.38.2-1~ubuntu20.10.1) groovy; urgency=medium

  * No-change backport to groovy (LP: #1908161)
  * debian: Prepare gbp.conf and control references for groovy branching

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 15 Dec 2020 18:13:53 +0100

gnome-shell-extensions (3.38.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Standards-Version: 4.5.1 (no changes required)
  * d/gbp.conf: Use upstream/3.38.x branch.
    Version 40~alpha was already released upstream.

 -- Simon McVittie <smcv@debian.org>  Thu, 03 Dec 2020 10:17:58 +0000

=== debian/control ===
--- 
+++ 
@@ -5,16 +5,19 @@
 Source: gnome-shell-extensions
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gnome,
                meson (>= 0.44.0),
                sassc
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell-extensions
-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell-extensions.git
+Standards-Version: 4.5.1
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell-extensions/tree/ubuntu/groovy
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell-extensions.git -b ubuntu/groovy
+XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell-extensions
+XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell-extensions.git
 Homepage: https://wiki.gnome.org/Projects/GnomeShell/Extensions
 
 Package: gnome-shell-extensions

## gnome-shell-extensions 40.1

=== debian/changelog ===
gnome-shell-extensions (40.1-1) experimental; urgency=medium

  * New upstream release
  * debian/control:
    - Update runtime dependencies to match code.
      Found grepping code via:
        grep "imports\.gi" --include "*.js" -rh -B2 . \
           | grep -o "\b[A-Z][A-Za-z]\+\b" | sed "s/,\?\s*$//g" | sort -u
    - Don't build depend on sassc.
      Since we compile from tarball, this is not needed anymore given that
      compiled css are provided already.
    - Build-depend on dh-sequence-gnome 0.22.
      It's the first version that supports new GNOME versioning schema.

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Sun, 30 May 2021 20:05:13 +0200

=== debian/control ===
--- 
+++ 
@@ -5,27 +5,23 @@
 Source: gnome-shell-extensions
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-sequence-gnome,
-               meson (>= 0.44.0),
-               sassc
+               dh-sequence-gnome (>= 0.22),
+               meson (>= 0.44.0)
 Rules-Requires-Root: no
 Standards-Version: 4.5.1
-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell-extensions/tree/ubuntu/groovy
-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell-extensions.git -b ubuntu/groovy
-XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell-extensions
-XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell-extensions.git
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell-extensions
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell-extensions.git
 Homepage: https://wiki.gnome.org/Projects/GnomeShell/Extensions
 
 Package: gnome-shell-extensions
 Architecture: all
 Depends: gir1.2-atk-1.0,
-         gir1.2-gdkpixbuf-2.0,
          gir1.2-glib-2.0,
          gir1.2-gmenu-3.0,
+         gir1.2-graphene-1.0 (>= 1.10.2),
          gir1.2-gtk-3.0,
          gir1.2-pango-1.0,
          gnome-session-bin (>= 3.8),

=== debian/watch ===
version=4
opts="uversionmangle=s/\.(alpha|beta|rc)/~$1/" \
https://download.gnome.org/sources/@PACKAGE@/@ANY_VERSION@/ \
@PACKAGE@@ANY_VERSION@\.tar\.xz

## gnome-shell-extensions 40.4

=== debian/changelog ===
gnome-shell-extensions (40.4-2) experimental; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
  * debian/copyright: Add gnome-classic.css to Files-Excluded
  * Revert "debian/control: Don't build depend on sassc"
  * This ensures we compile the CSS file from source.

  [ Marco Trevisan (Treviño) ]
  * debian/control: Support pre-release versions of gnome-shell

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 29 Aug 2021 09:16:04 -0400

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,8 @@
 Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gnome (>= 0.22),
-               meson (>= 0.44.0)
+               meson (>= 0.44.0),
+               sassc
 Rules-Requires-Root: no
 Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell-extensions
@@ -27,7 +28,7 @@
          gnome-session-bin (>= 3.8),
          gnome-settings-daemon (>= 3.24),
          gnome-shell (<< ${gnome:NextVersion}),
-         gnome-shell (>= ${gnome:Version}),
+         gnome-shell (>= ${gnome:Version}~),
          gvfs (>= 1.16.0),
          ${misc:Depends}
 Recommends: gnome-shell-extension-prefs

## gnome-shell-extensions 41.0

=== debian/changelog ===
gnome-shell-extensions (41.0-2) unstable; urgency=medium

  * Team upload
  * Upload to unstable

 -- Simon McVittie <smcv@debian.org>  Sat, 16 Oct 2021 20:06:04 +0100

gnome-shell-extensions (41.0-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum meson to 0.53.0
  * Bump Standards-Version to 4.6.0

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 10 Oct 2021 17:04:15 -0400

gnome-shell-extensions (40.4-3) unstable; urgency=medium

  * Team upload
  * Release to unstable (transition: #992870)

 -- Simon McVittie <smcv@debian.org>  Sat, 11 Sep 2021 21:52:59 +0100

## gnome-shell-extensions 41.1

=== debian/changelog ===
gnome-shell-extensions (41.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 12 Dec 2021 20:30:17 -0500

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,10 @@
 Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gnome (>= 0.22),
-               meson (>= 0.44.0),
+               meson (>= 0.53.0),
                sassc
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell-extensions
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell-extensions.git
 Homepage: https://wiki.gnome.org/Projects/GnomeShell/Extensions

## gnome-shell-extensions 42~beta

=== debian/changelog ===
gnome-shell-extensions (42~beta-1) experimental; urgency=medium

  * New upstream release:
    - Use libadwaita for preferences
    - window-list: Fix on-screen keyboard
    - native-window-placement: Fix distorted layout in app grid
  * debian/control: Depend on libadwaita and gtk-4 (instead of gtk-3)
  * debian/patches: Drop applied upstream

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 23 Feb 2022 07:35:20 +0100

gnome-shell-extensions (41.1-2) unstable; urgency=medium

  * Team upload
  * d/p/meson-Drop-unused-argument-for-i18n.merge_file.patch:
    Backport patch from upstream to fix FBTFS with Meson 0.61
    (Closes: #1005534)

 -- Simon McVittie <smcv@debian.org>  Tue, 15 Feb 2022 11:18:30 +0000

=== debian/control ===
--- 
+++ 
@@ -19,11 +19,12 @@
 
 Package: gnome-shell-extensions
 Architecture: all
-Depends: gir1.2-atk-1.0,
+Depends: gir1.2-adw-1,
+         gir1.2-atk-1.0,
          gir1.2-glib-2.0,
          gir1.2-gmenu-3.0,
          gir1.2-graphene-1.0 (>= 1.10.2),
-         gir1.2-gtk-3.0,
+         gir1.2-gtk-4.0,
          gir1.2-pango-1.0,
          gnome-session-bin (>= 3.8),
          gnome-settings-daemon (>= 3.24),

=== debian/watch ===
version=4
opts="searchmode=plain, uversionmangle=s/\.(alpha|beta|rc)/~$1/" \
https://download.gnome.org/sources/@PACKAGE@/cache.json \
	[\d.]+/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@

## gnome-shell-extensions 42~rc

=== meson_options.txt ===
option('extension_set',
  type: 'combo',
  choices: ['classic', 'default', 'all'],
  value: 'default',
  description: 'Predefined sets of extensions'
)

option('enable_extensions',
  type: 'array',
  value: [],
  description: 'Comma separated list of extensions to enable instead of a predefined set.'
)

option('classic_mode',
  type: 'boolean',
  value: false,
  description: 'Enable installing data files for classic mode.'
)

=== debian/changelog ===
gnome-shell-extensions (42~rc-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Tue, 08 Mar 2022 17:54:41 -0500

=== debian/control ===
--- 
+++ 
@@ -29,7 +29,7 @@
          gnome-session-bin (>= 3.8),
          gnome-settings-daemon (>= 3.24),
          gnome-shell (<< ${gnome:NextVersion}),
-         gnome-shell (>= ${gnome:Version}~),
+         gnome-shell (>= ${gnome:Version}),
          gvfs (>= 1.16.0),
          ${misc:Depends}
 Recommends: gnome-shell-extension-prefs

## gnome-shell-extensions 42.0

=== debian/changelog ===
gnome-shell-extensions (42.0-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 28 Mar 2022 11:18:12 -0400

gnome-shell-extensions (42.0-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Mon, 14 Mar 2022 11:30:18 -0400

## gnome-shell-extensions 42.1

=== debian/changelog ===
gnome-shell-extensions (42.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (LP: #1972365)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 09 May 2022 08:09:32 -0400

=== debian/control ===
--- 
+++ 
@@ -5,16 +5,19 @@
 Source: gnome-shell-extensions
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gnome (>= 0.22),
                meson (>= 0.53.0),
                sassc
 Rules-Requires-Root: no
 Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell-extensions
-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell-extensions.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell-extensions
+XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell-extensions.git
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell-extensions/tree/ubuntu/jammy
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell-extensions.git -b ubuntu/jammy
 Homepage: https://wiki.gnome.org/Projects/GnomeShell/Extensions
 
 Package: gnome-shell-extensions

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dextension_set=all \
		-Dclassic_mode=true

## gnome-shell-extensions 42.3

=== debian/changelog ===
gnome-shell-extensions (1:42.3-1revyos1) unstable; urgency=medium

  * Rebuild for gles

 -- Han Gao <gaohan@iscas.ac.cn>  Fri, 07 Apr 2023 01:35:56 +0800

gnome-shell-extensions (42.3-1) unstable; urgency=medium

  * New upstream release (LP: #1981606)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 13 Jul 2022 17:49:05 +0200

gnome-shell-extensions (42.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 03 Jun 2022 09:23:28 -0400

gnome-shell-extensions (42.1-1) unstable; urgency=medium

  * New upstream release (LP: #1972365)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 09 May 2022 08:09:32 -0400

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,7 @@
 Source: gnome-shell-extensions
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gnome (>= 0.22),
@@ -14,10 +13,8 @@
                sassc
 Rules-Requires-Root: no
 Standards-Version: 4.6.0
-XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell-extensions
-XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell-extensions.git
-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell-extensions/tree/ubuntu/jammy
-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell-extensions.git -b ubuntu/jammy
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell-extensions
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell-extensions.git
 Homepage: https://wiki.gnome.org/Projects/GnomeShell/Extensions
 
 Package: gnome-shell-extensions

## gnome-shell-extensions 43~beta

=== debian/changelog ===
gnome-shell-extensions (43~beta-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 21 Aug 2022 10:59:20 -0400
